import { StyleSheet } from 'react-native'
import appFonts from '../../../../../theme/appFonts'
import { windowHeight, windowWidth } from '../../../../../theme/appConstant'
import appColors from '../../../../../theme/appColors'

// const styles = StyleSheet.create({
// selection: {
//   height: windowHeight(6.5),
//   marginHorizontal: windowWidth(4),
//   borderRadius: windowHeight(1),
//   marginTop: windowHeight(2),
// },
//   earningView: {
//     flex: 1,
//     alignItems: 'center',
//     justifyContent: 'center',
//     borderRadius: windowHeight(0.9),
//   },
//   historyView: {
//     flex: 1,
//     alignItems: 'center',
//     justifyContent: 'center',
//     borderRadius: windowHeight(0.9),
//   },
//   fonts: {
//     fontFamily: appFonts.medium,
//   },
// })

// export default styles

const styles = StyleSheet.create({
  selection: {
    height: windowHeight(6),
    marginHorizontal: windowWidth(4),
    borderRadius: windowWidth(25),
    marginTop: windowHeight(1.5),
    top: windowHeight(0.5),
  },
  container: {
    flexDirection: 'row',
    alignSelf: 'center',
    borderRadius: windowWidth(25),
  },
  tab: {
    flex: 1,
    paddingVertical: windowHeight(2),
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: windowWidth(2),
    height: windowHeight(5.6),
  },
  leftTab: {
    borderRadius: windowWidth(25),
  },
  rightTab: {
    borderRadius: windowWidth(25),
  },
  activeTab: {
    backgroundColor: appColors.black,
  },
  inactiveTab: {
    backgroundColor: appColors.white,
  },
  activeText: {
    color: appColors.white,
    fontFamily: appFonts.medium,
    height: windowHeight(2.35),
  },
  inactiveText: {
    color: appColors.iconColor,
    fontFamily: appFonts.medium,
    height: windowHeight(2.35),
  },
})
export default styles
